View Issue Details

IDProjectCategoryView StatusLast Update
00297962.x IDE BugsRecent WindowsPublic2018-09-04 15:43
ReporterAlan SavageAssigned ToAlan Savage 
PriorityMediumSeverityC - GeneralReproducibility100%
Status ClosedResolutionFixed 
Product Version2.1.5 
Target Version2.2.0Fixed in Version2.2.0 
Summary0029796: Recent Windows: duplicate and broken recent windows entries after deleting timeline moments
DescriptionAfter deleting moment(s) and adding new ones in the timeline editor, the "Recent Windows" entries became quite confused with multiple non-functional , broken & duplicated entries
see attached screenshot
clicking the broken label entry "{0}: Moment {1}" opens a new empty window with the title "Basic Window"
clicking the duplicated entries does nothing

Steps To Reproducesee related bug for repro steps - repeat to fill recent windows with dodgy entries
TagsNo tags attached.
2.x IDE Found In2.1.5.319
2.x Runtime Found In2.1.5.243
2.x IDE Verified In2.2.0.333
2.x Runtime Verified In2.2.0.251

Relationships

related to 0029795 ClosedAlan Savage Timeline Editor: deleting moment can prevent opening of remaining moment scripts (until editor is closed and reopened) 

Activities

Alan Savage

2018-07-18 15:01

Developer  

recent_windows_timeline.png (296,884 bytes)

Alan Savage

2018-07-19 11:04

Developer   ~0060900

fixed by related bug fix

Matthew McInnes

2018-09-04 15:43

Developer   ~0061500

Closing. Verified as fixed in:

IDE v2.2.0.333 Runtime v2.2.0.251